Bug 1175346 - RFE: LVM postinit snapshot should be re-created after update
Summary: RFE: LVM postinit snapshot should be re-created after update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Copr Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-17 14:43 UTC by Vít Ondruch
Modified: 2020-12-31 01:21 UTC (History)
5 users (show)

Fixed In Version: mock-2.7-1.fc33 mock-2.7-1.fc32 mock-2.8-1.el8 mock-2.8-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-10 01:13:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2014-12-17 14:43:38 UTC
Description of problem:
I am doing simple SRPM build. After start, there are unreled the changes to postinit snapshot:

INFO: rolled back to postinit snapshot

However later, the content of this snapshot is updated:


Start: dnf update
Dependencies resolved.
================================================================================
 Package               Arch      Version                        Repository
                                                                           Size
================================================================================
Upgrading:
 ca-certificates       noarch    2014.2.2-2.fc22                local     426 k
... snip ...

After this, the postinit snapshot should be updated as well, otherwise it is updated every other time.

Or alternatively, the old snapshod should be dropped and created new one, to avoid possible update issues.


Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.3-1.fc21.noarch


How reproducible:


Steps to Reproduce:
1. mock ruby-2.2.0-0.1.r48879.fc22.src.rpm
2. wait until some updates lands in the repository, possibly few days
3. mock -r ruby ruby-2.2.0-0.1.r48879.fc22.src.rpm

Actual results:
The build root is updated, but the snapshot is not

Expected results:
The snapshod should be either updated or recreated

Additional info:

Comment 1 Fedora End Of Life 2015-11-04 14:38:50 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jan Kurik 2016-02-24 13:18:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Fedora End Of Life 2017-07-25 18:46:01 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Vít Ondruch 2017-07-26 09:57:12 UTC
I still think this would be useful.

Comment 5 Pavel Raiskup 2019-11-05 13:38:03 UTC
Should be resolved via:
https://github.com/rpm-software-management/mock/issues/68

Please reopen if you happen to see this error again.

Comment 6 Pavel Raiskup 2019-11-05 13:39:10 UTC
Uhhhh, sorry.  Wrong bug id.

Comment 7 Vít Ondruch 2019-11-05 13:40:34 UTC
I would not regret if this was really fixed ;)

Comment 8 Fedora Admin XMLRPC Client 2020-03-17 04:42:57 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 10 Pavel Raiskup 2020-09-24 08:44:52 UTC
Fixed upstream, nightly builds (if anyone wanted to test)
are in 'dnf copr enable @mock/mock'.

Comment 12 Fedora Update System 2020-12-01 09:42:29 UTC
FEDORA-2020-afe3cb8dbc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-afe3cb8dbc

Comment 13 Fedora Update System 2020-12-01 09:43:20 UTC
FEDORA-2020-54d3e6d1c1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-54d3e6d1c1

Comment 14 Fedora Update System 2020-12-01 09:43:41 UTC
FEDORA-EPEL-2020-646d5f7450 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-646d5f7450

Comment 15 Fedora Update System 2020-12-01 09:43:53 UTC
FEDORA-EPEL-2020-77cf1cc1a9 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-77cf1cc1a9

Comment 16 Fedora Update System 2020-12-02 01:38:40 UTC
FEDORA-2020-afe3cb8dbc has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-afe3cb8dbc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-afe3cb8dbc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-12-02 02:09:26 UTC
FEDORA-EPEL-2020-646d5f7450 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-646d5f7450

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-12-02 02:15:23 UTC
FEDORA-EPEL-2020-77cf1cc1a9 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-77cf1cc1a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-12-02 02:27:03 UTC
FEDORA-2020-54d3e6d1c1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-54d3e6d1c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-54d3e6d1c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-12-10 01:13:37 UTC
FEDORA-2020-afe3cb8dbc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-12-10 01:26:40 UTC
FEDORA-2020-54d3e6d1c1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-12-16 00:24:57 UTC
FEDORA-EPEL-2020-e8977f0629 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e8977f0629

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2020-12-16 01:57:55 UTC
FEDORA-EPEL-2020-3361ef3fc2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3361ef3fc2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2020-12-31 00:36:39 UTC
FEDORA-EPEL-2020-e8977f0629 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-12-31 01:21:46 UTC
FEDORA-EPEL-2020-3361ef3fc2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.